<ul class="breadcrumb">
    <li><a href="<?= $this->url('root') ?>"><?= $this->icon('home') ?></a></li>
    <li class="active"><?= $this->translate('note_nav_list') ?></li>
</ul>

<h1 class="page-title"><?= $this->icon('note') ?> <?= $this->translate('note_module_title') ?></h1>

<div class="row row-padding" ng-controller="noteListController as self" ng-init="self.init()">
    <div class="col-xs-12">
        <div class="panel">
            <div class="panel-heading"><?= $this->translate('note_nav_list') ?></div>
            <div class="panel-body">
                <div class="row">
                    <div class="col-xs-12">
                        <div class="panel">
                            <table class="table table-bordered table-condensed table-hover">
                                <thead>
                                    <tr>
                                        <th><?= ucfirst($this->translate('note_entities')) ?></th>
                                    </tr>
                                </thead>
                                <tbody ng-repeat="project in self.projects | orderBy: 'id'">
                                    <tr class="group">
                                        <td class="pointer" ng-click="showNotes = !showNotes">
                                            <i class="fa fa-caret-right" ng-class="{'fa-caret-right' : !showNotes, 'fa-caret-down' : showNotes}"></i>
                                            <a href="<?= $this->url('project/form') ?>/{{project.id}}">{{ project.name }}</a>
                                        </td>
                                    </tr>
                                    <tr ng-repeat="note in self.notes | filter : {primary: project.id} : true">
                                        <td ng-show="showNotes">
                                            <b>{{ note.name }}</b> - {{ note.message }}<span ng-if="note.attachment"> - <a href="{{note.attachment.url}}" target="_blank">{{'note_field_attachment' | translate}}</a></span>
                                            <small class="pull-right">
                                                <em>par {{note.createdBy.name}} le {{note.createdAt |  dateFormat : 'DD/MM/YYYY à HH:mm'}}</em>
                                            </small>
                                        </td>
                                    </tr>
                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

<?php
$this->angular('js/src/note/controller/list.js');
$this->angular('js/src/note/service/note.js');
$this->angular('js/src/project/service/project.js');
$this->angular('js/src/convention/service/convention.js');
